| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.SoundPlayerControlSimple Class Reference
Inheritance diagram for IG.Forms.SoundPlayerControlSimple:
[legend]
Collaboration diagram for IG.Forms.SoundPlayerControlSimple:
[legend]

## Public Member Functions
| SoundPlayerControlSimple ()

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
System.Media.SoundPlayer | Player`[get]`

## Private Member Functions
void | fileSelector1_FileSelected (object sender, EventArgs e)
void | pictureBox1_DragDrop (object sender, DragEventArgs e)
void | pictureBox1_DragEnter (object sender, DragEventArgs e)
void | btnPlay_Click (object sender, EventArgs e)
void | button1_Click (object sender, EventArgs e)
void | chkRepeat_CheckedChanged (object sender, EventArgs e)
void | numericUpDown1_ValueChanged (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.Media.SoundPlayer | _soundPlayer
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.Panel | panelUpper
System.Windows.Forms.Button | btnPlay
System.Windows.Forms.Panel | panel1
IG.Forms.FileSelector | fileSelector1
System.Windows.Forms.Label | lblPause
System.Windows.Forms.CheckBox | chkRepeat
System.Windows.Forms.Button | button1
System.Windows.Forms.NumericUpDown | numericUpDown1

## Constructor & Destructor Documentation

IG.Forms.SoundPlayerControlSimple.SoundPlayerControlSimple | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.SoundPlayerControlSimple.fileSelector1_FileSelected | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.SoundPlayerControlSimple.pictureBox1_DragDrop | ( | object | sender,
|  | DragEventArgs | e
| ) |  |
| inline private

void IG.Forms.SoundPlayerControlSimple.pictureBox1_DragEnter | ( | object | sender,
|  | DragEventArgs | e
| ) |  |
| inline private

void IG.Forms.SoundPlayerControlSimple.btnPlay_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.SoundPlayerControlSimple.button1_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.SoundPlayerControlSimple.chkRepeat_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.SoundPlayerControlSimple.numericUpDown1_ValueChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.SoundPlayerControlSimple.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.SoundPlayerControlSimple.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.Media.SoundPlayer IG.Forms.SoundPlayerControlSimple._soundPlayer
| private

System.ComponentModel.IContainer IG.Forms.SoundPlayerControlSimple.components = null
| private

Required designer variable.

System.Windows.Forms.Panel IG.Forms.SoundPlayerControlSimple.panelUpper
| private

System.Windows.Forms.Button IG.Forms.SoundPlayerControlSimple.btnPlay
| private

System.Windows.Forms.Panel IG.Forms.SoundPlayerControlSimple.panel1
| private

IG.Forms.FileSelector IG.Forms.SoundPlayerControlSimple.fileSelector1
| private

System.Windows.Forms.Label IG.Forms.SoundPlayerControlSimple.lblPause
| private

System.Windows.Forms.CheckBox IG.Forms.SoundPlayerControlSimple.chkRepeat
| private

System.Windows.Forms.Button IG.Forms.SoundPlayerControlSimple.button1
| private

System.Windows.Forms.NumericUpDown IG.Forms.SoundPlayerControlSimple.numericUpDown1
| private

## Property Documentation

System.Media.SoundPlayer IG.Forms.SoundPlayerControlSimple.Player
| get private

The documentation for this class was generated from the following files:

- igforms/Utilities/Viewers/SoundPlayControlSimple.cs
- igforms/Utilities/Viewers/SoundPlayControlSimple.Designer.cs